#!/bin/env bash
source ~/stackrc

time openstack overcloud deploy \
     --timeout 120 \
     --verbose \
     --log-file /home/stack/logs/overcloud-deploy.log \
     --templates /usr/share/openstack-tripleo-heat-templates/ \
     -r /home/stack/templates/roles_data.yaml \
     -n /home/stack/templates/network_data.yaml \
     -e /home/stack/templates/network-environment.yaml \
     -e /home/stack/templates/ips-from-pool-all.yaml \
     -e /home/stack/templates/fixed-ip-vips.yaml \
     -e /home/stack/templates/containers-prepare-parameter.yaml \
     -e /home/stack/templates/hostname-map.yaml \
     -e /home/stack/templates/node-info.yaml \
     -e /home/stack/templates/storage-environment.yaml \
     -e /home/stack/templates/cinder-netapp-config.yaml \
     -e /usr/share/openstack-tripleo-heat-templates/environments/cinder-backup.yaml \
     -e /usr/share/openstack-tripleo-heat-templates/environments/manila-netapp-config.yaml \
     -e /home/stack/templates/manila-netapp-config.yaml \
     -e /home/stack/templates/nova-nfs.yaml \
     -e /home/stack/templates/glance-nfs.yaml \
     -e /home/stack/templates/cloud-name.yaml \
     -e /usr/share/openstack-tripleo-heat-templates/environments/services/neutron-ovn-dvr-ha.yaml \
     -e /usr/share/openstack-tripleo-heat-templates/environments/services/octavia.yaml \
     -e /home/stack/templates/octavia-ha.yaml \
     -e /usr/share/openstack-tripleo-heat-templates/environments/services/barbican.yaml \
     -e /usr/share/openstack-tripleo-heat-templates/environments/barbican-backend-simple-crypto.yaml \
     -e /home/stack/templates/barbican.yaml \
     -e /usr/share/openstack-tripleo-heat-templates/environments/enable-designate.yaml \
     -e /home/stack/templates/designate-config-ha.yaml \
     -e /usr/share/openstack-tripleo-heat-templates/environments/enable-legacy-telemetry.yaml \
     -e /home/stack/templates/gnocchi-connectors.yaml \
     -e /home/stack/templates/memcached.yaml \
     -e /home/stack/templates/rhsm.yaml \
     -e /home/stack/templates/extra-config.yaml \
